# List effective capabilities

`GET /api/v1/projects/{project}/effective-capabilities`

Operation ID: `listEffectiveCapabilities`  
Effect: `read`  
Confirmation: `never`

## Authorization

- mode: `privilege`
- privilege: `PROJECT_ADMIN`

## Parameters

| Name | In | Required | Schema | Description |
| --- | --- | --- | --- | --- |
| `project` | path | true | `{"maxLength":200,"minLength":1,"pattern":"^[A-Za-z0-9][A-Za-z0-9_.:-]*$","type":"string"}` |  |
| `resourceKind` | query | false | `{"$ref":"#/components/schemas/ResourceKind"}` |  |
| `resourceId` | query | false | `{"maxLength":200,"minLength":1,"pattern":"^[A-Za-z0-9][A-Za-z0-9_.:-]*$","type":"string"}` |  |

## Responses

| Status | Content | Description |
| --- | --- | --- |
| `200` | `application/json` (EffectiveCapabilityListResponse) | The request has succeeded. |
| `400` | `application/problem+json` (ProblemDetails) | The server could not understand the request due to invalid syntax. |
| `401` | `application/problem+json` (ProblemDetails) | Access is unauthorized. |
| `403` | `application/problem+json` (ProblemDetails) | Access is forbidden. |
| `404` | `application/problem+json` (ProblemDetails) | The server cannot find the requested resource. |
| `409` | `application/problem+json` (ProblemDetails) | The request conflicts with the current state of the server. |
| `412` | `application/problem+json` (ProblemDetails) | Precondition failed. |
| `413` | `application/problem+json` (ProblemDetails) | Client error |
| `415` | `application/problem+json` (ProblemDetails) | Client error |
| `422` | `application/problem+json` (ProblemDetails) | Client error |
| `429` | `application/problem+json` (ProblemDetails) | Client error |
| `500` | `application/problem+json` (ProblemDetails) | Server error |
| `502` | `application/problem+json` (ProblemDetails) | Server error |
| `503` | `application/problem+json` (ProblemDetails) | Service unavailable. |
